*-----------------------------------------------------------
* Title      :SlotORama2000
* Written by : Edward Smith
* Date       :2017
* Description:slot machine simulator
*-----------------------------------------------------------
    
  ;  3 reels with 5 stops.   125 reel stop combinations, 64 unique outcomes
  ;reel 1       reel 2      reel 3
  ;cherry       lemon       cat
  ;banana       cherry     lemon
  ;banana       cat        cherry
  ;cat           banana     banana
  ;lemon         cat         lemon

   ;payout scheme:  
   ;$1 to play
   ;no matching symbols:  -$1             prob. 49/125
   ;2 matching symbols: return of $.50 so   payout -$.50          prob. 69/125
    ;3 bananas, 3 cats, 3 lemons:  return of $7 do payout +$6     prob. 6/125
   ;3 cherries: return of $30 so payout +$29                                prob. 1/125
   ;(Positive payout roughly once every 18 plays on average) 
    ;The  randomization scheme is not exact due the method if using clock time, but it seems to work out pretty well from what I can tell .

   
   ORG    $1000
START:                  ; first instruction of program

   move.w #33,d0
   move.l #1024*$10000+640,d1
    trap #15
    move.w #3000, (purse)
    move.w #0, (posouts)
       
     move #21,d0
       move.l #$00FFFFFF,d1
       clr.l d2
       trap #15
       move.w #0, plays
       move.w #1, reelchar1
       move.w #3, reelchar2
       move.w #4, reelchar3
        move.b  #92,d0 
    move.b  #17,d1      enable double buffering
    trap    #15
       move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen  
      
       jsr background
       
       jmp handle

loop 
    move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


    lea  msg3,A1
    move #13,d0
    trap  #15
    
      move.b  #8,d0            random for reel1
    trap    #15
    and.l   #$0000FFFF,d1   prevent overflow in divu
    divu    #5,d1         time count / 40
    swap    d1            swap upper and lower words of D1 to put remainder in low word
     move.w d1,reel1
    add.w  #1,(reel1)       d1.w contains number from 10 to 50
   

   jmp spinreelinit
spinreelinit 
   move #10,d7
   
  jmp spinreel1
  
spinreel1
    move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    
    jsr background
 
             move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#10,d1			delay 1 sec
    	 trap	#15				execute delay
       
  
   
   if (reelchar1) <eq> #1 then
   add.w #5 ,(reelchar1)
   endi
   
    if (reelchar2) <eq> #1 then
   add.w #5 ,(reelchar2)
   endi
   
    if (reelchar3) <eq> #1 then
   add.w #5 ,(reelchar3)
   endi
   
   sub.w #1, reelchar3
 
  sub.w #1, reelchar2
  
  sub.w #1 , reelchar1
   
   dbeq d7, spinreel1
     jmp spinreel2init
     
spinreel2init
 move #10,d7
     move.b  #8,d0            random for reel2
    trap    #15
    and.l   #$0000FFFF,d1   prevent overflow in divu
    divu    #5,d1         time count / 30
    swap    d1            swap upper and lower words of D1 to put remainder in low word
     move.w d1,reel2
    add.w  #1,(reel2)       d1.w contains number from 5 to 55
  jmp spinreel2

spinreel2
    move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    
    jsr background
 
             move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#10,d1			delay 1 sec
    	 trap	#15				execute delay
       
  
   
   if (reelchar1) <eq> #1 then
   add.w #5 ,(reelchar1)
   endi
   
    if (reelchar2) <eq> #1 then
   add.w #5 ,(reelchar2)
   endi
   
    if (reelchar3) <eq> #1 then
   add.w #5 ,(reelchar3)
   endi
   
   sub.w #1, reelchar1
 
  sub.w #1, reelchar2
  
  sub.w #1 , reelchar3
   
      dbeq d7, spinreel2
     jmp spinresult

spinresult

   move.b  #8,d0            random for reel3
    trap    #15
    and.l   #$0000FFFF,d1   prevent overflow in divu
    divu    #125,d1         time count / 125
    swap    d1            swap upper and lower words of D1 to put remainder in low word
     move.w d1,time
    add.w  #1,(time)       d1.w contains number from 5 to 55
    
    if (time) <eq> #1 then
    move  #1 ,reelchar1
    move #1, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    
    endi
    
    if (time) <eq> #2 then
    move #1 , reelchar1
    move #1, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #3 then
    move #1 , reelchar1
    move #1, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #4 then
    move #1 , reelchar1
    move #1, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #5 then
    move #1 , reelchar1
    move #1, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #6 then
    move #1 , reelchar1
    move #2, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #7 then
    move #1 , reelchar1
    move #2, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
      if (time) <eq> #8 then
    move #1 , reelchar1
    move #2, reelchar2
    move #3 ,reelchar3
    add #2900,purse
    add #1 ,posouts
    move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

    jsr background
     move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

    lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg6,A1
    move #13,d0
    trap  #15
    move.b  #94,d0      repaint
    trap    #15

    

    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

    lea jackpot,A1
        move #70,d0
        trap #15
        
        move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay


    
        

    endi
     if (time) <eq> #9 then
    move #1 , reelchar1
    move #2, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #10 then
    move #1 , reelchar1
    move #2, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #11 then
    move #1 , reelchar1
    move #3, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #12 then
    move #1 , reelchar1
    move #3, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #13 then
    move #1 , reelchar1
    move #3, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
      if (time) <eq> #14 then
    move #1 , reelchar1
    move #3, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #15 then
    move #1 , reelchar1
    move #3, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #16 then
    move #1 , reelchar1
    move #4, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #17 then
    move #1 , reelchar1
    move #4, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
    
    if (time) <eq> #18 then
    move #1 , reelchar1
    move #4, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #19 then
    move #1 , reelchar1
    move #4, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
       if (time) <eq> #20 then
    move #1 , reelchar1
    move #4, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi

      if (time) <eq> #21 then
    move #1 , reelchar1
    move #5, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #22 then
    move #1 , reelchar1
    move #5, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi

      if (time) <eq> #23 then
    move #1 , reelchar1
    move #5, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #24 then
    move #1 , reelchar1
    move #5, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
    
     if (time) <eq> #25 then
    move #1 , reelchar1
    move #5, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
    
    ;start reel 1 b1


     if (time) <eq> #26 then
    move #2 , reelchar1
    move #1, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
    
    if (time) <eq> #27 then
    move #2 , reelchar1
    move #1, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #28 then
    move #2 , reelchar1
    move #1, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #29 then
    move #2 , reelchar1
    move #1, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #30 then
    move #2 , reelchar1
    move #1, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #31 then
    move #2 , reelchar1
    move #2, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #32 then
    move #2 , reelchar1
    move #2, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
      if (time) <eq> #33 then
    move #2 , reelchar1
    move #2, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #34 then
    move #2 , reelchar1
    move #2, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #35 then
    move #2 , reelchar1
    move #2, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #36 then
    move #2 , reelchar1
    move #3, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #37 then
    move #2 , reelchar1
    move #3, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #38 then
    move #2 , reelchar1
    move #3, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
      if (time) <eq> #39 then
    move #2 , reelchar1
    move #3, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #40 then
    move #2 , reelchar1
    move #3, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #41 then
    move #2 , reelchar1
    move #4, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #42 then
    move #2 , reelchar1
    move #4, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
    
    if (time) <eq> #43 then
    move #2 , reelchar1
    move #4, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #44 then
    move #2 , reelchar1
    move #4, reelchar2
    move #4 ,reelchar3
    add #600,purse
    add #1 ,posouts
     move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

    jsr background
     move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


   lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg5,A1
    move #13,d0
    trap  #15
    move.b  #94,d0      repaint
    trap    #15


    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

     lea jackpot,A1
        move #70,d0
        trap #15
        move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay



    endi
       if (time) <eq> #45 then
    move #2 , reelchar1
    move #4, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi

      if (time) <eq> #46 then
    move #2 , reelchar1
    move #5, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #47 then
    move #2 , reelchar1
    move #5, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi

      if (time) <eq> #48 then
    move #2 , reelchar1
    move #5, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #49 then
    move #2 , reelchar1
    move #5, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
    
     if (time) <eq> #50 then
    move #2 , reelchar1
    move #5, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi

     ;start reel1 b2
     
      if (time) <eq> #51 then
    move #3 , reelchar1
    move #1, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
    
    if (time) <eq> #52 then
    move #3 , reelchar1
    move #1, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #53 then
    move #3 , reelchar1
    move #1, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #54 then
    move #3 , reelchar1
    move #1, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #55 then
    move #3 , reelchar1
    move #1, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #56 then
    move #3 , reelchar1
    move #2, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #57 then
    move #3 , reelchar1
    move #2, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
      if (time) <eq> #58 then
    move #3 , reelchar1
    move #2, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #59 then
    move #3 , reelchar1
    move #2, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #60 then
    move #3 , reelchar1
    move #2, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #61 then
    move #3 , reelchar1
    move #3, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #62 then
    move #3 , reelchar1
    move #3, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #63 then
    move #3 , reelchar1
    move #3, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
      if (time) <eq> #64 then
    move #3 , reelchar1
    move #3, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #65 then
    move #3 , reelchar1
    move #3, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #66 then
    move #3 , reelchar1
    move #4, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #67 then
    move #3 , reelchar1
    move #4, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
    
    if (time) <eq> #68 then
    move #3 , reelchar1
    move #4, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #69 then
    move #3 , reelchar1
    move #4, reelchar2
    move #4 ,reelchar3
    add #600,purse
    add #1 ,posouts
     move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

    jsr background
     move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

     lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg5,A1
    move #13,d0
    trap  #15
  move.b  #94,d0      repaint
    trap    #15


    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

     lea jackpot,A1
        move #70,d0
        trap #15
   move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay


    endi
       if (time) <eq> #70 then
    move #3 , reelchar1
    move #4, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi

      if (time) <eq> #71 then
    move #3 , reelchar1
    move #5, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #72 then
    move #3 , reelchar1
    move #5, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi

      if (time) <eq> #73 then
    move #3 , reelchar1
    move #5, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #74 then
    move #3 , reelchar1
    move #5, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
    
     if (time) <eq> #75 then
    move #3 , reelchar1
    move #5, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
   
   ;start reel1 cat
   
    if (time) <eq> #76 then
    move #4 , reelchar1
    move #1, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
    
    if (time) <eq> #77 then
    move #4 , reelchar1
    move #1, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #78 then
    move #4 , reelchar1
    move #1, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #79 then
    move #4 , reelchar1
    move #1, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #80 then
    move #4 , reelchar1
    move #1, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #81 then
    move #4 , reelchar1
    move #2, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #82 then
    move #4 , reelchar1
    move #2, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
      if (time) <eq> #83 then
    move #4 , reelchar1
    move #2, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #84 then
    move #4 , reelchar1
    move #2, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #85 then
    move #4 , reelchar1
    move #2, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #86 then
    move #4 , reelchar1
    move #3, reelchar2
    move #1 ,reelchar3
    add #600,purse
    add #1 ,posouts
     move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

  


    jsr background
       move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

     lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg5,A1
    move #13,d0
    trap  #15
    move.b  #94,d0      repaint
    trap    #15



    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

     lea jackpot,A1
        move #70,d0
        trap #15
        move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay


    endi
     if (time) <eq> #87 then
    move #4 , reelchar1
    move #3, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #88 then
    move #4 , reelchar1
    move #3, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
      if (time) <eq> #89 then
    move #4 , reelchar1
    move #3, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #90 then
    move #4 , reelchar1
    move #3, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #91 then
    move #4 , reelchar1
    move #4, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #92 then
    move #4 , reelchar1
    move #4, reelchar2
    move #2 ,reelchar3
    sub #100,purse
    endi
    
    if (time) <eq> #93 then
    move #4 , reelchar1
    move #4, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #94 then
    move #4 , reelchar1
    move #4, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
       if (time) <eq> #95 then
    move #4 , reelchar1
    move #4, reelchar2
    move #5 ,reelchar3
    sub #100,purse
    endi

      if (time) <eq> #96 then
    move #4 , reelchar1
    move #5, reelchar2
    move #1 ,reelchar3
      add #600,purse
      add #1 ,posouts
       move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

    jsr background
       move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

      lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg5,A1
    move #13,d0
    trap  #15
    move.b  #94,d0      repaint
    trap    #15



    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

     lea jackpot,A1
        move #70,d0
        trap #15

      move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

    endi
     if (time) <eq> #97 then
    move #4 , reelchar1
    move #5, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi

      if (time) <eq> #98 then
    move #4 , reelchar1
    move #5, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #99 then
    move #4 , reelchar1
    move #5, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
    
     if (time) <eq> #100 then
    move #4 , reelchar1
    move #5, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi

  ;start reel 1 lemon
  
   if (time) <eq> #101 then
    move #5 , reelchar1
    move #1, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
    
    if (time) <eq> #102 then
    move #5 , reelchar1
    move #1, reelchar2
    move #2 ,reelchar3
    add #600,purse
    add #1 ,posouts
     move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

    jsr background
       move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

    lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg5,A1
    move #13,d0
    trap  #15

   move.b  #94,d0      repaint
    trap    #15

    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

   
     lea jackpot,A1
        move #70,d0
        trap #15
    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

    endi
     if (time) <eq> #103 then
    move #5 , reelchar1
    move #1, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #104 then
    move #5 , reelchar1
    move #1, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #105 then
    move #5 , reelchar1
    move #1, reelchar2
    move #5 ,reelchar3
    add #600,purse
    add #1 ,posouts
     move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    

    jsr background
       move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

      lea  msgblank,A1
    move #13,d0
    trap  #15
    

    lea  msg5,A1
    move #13,d0
    trap  #15

    move.b  #94,d0      repaint
    trap    #15

    
    move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

     lea jackpot,A1
        move #70,d0
        trap #15
   move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#100,d1			delay 1 sec
    	 trap	#15				execute delay

    endi
    if (time) <eq> #106 then
    move #5 , reelchar1
    move #2, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #107 then
    move #5 , reelchar1
    move #2, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
      if (time) <eq> #108 then
    move #5 , reelchar1
    move #2, reelchar2
    move #3 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #109 then
    move #5 , reelchar1
    move #2, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #110 then
    move #5 , reelchar1
    move #2, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    if (time) <eq> #111 then
    move #5 , reelchar1
    move #3, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #112 then
    move #5 , reelchar1
    move #3, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #113 then
    move #5 , reelchar1
    move #3, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
      if (time) <eq> #114 then
    move #5 , reelchar1
    move #3, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #115 then
    move #5 , reelchar1
    move #3, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #116 then
    move #5 , reelchar1
    move #4, reelchar2
    move #1 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #117 then
    move #5 , reelchar1
    move #4, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi
    
    if (time) <eq> #118 then
    move #5 , reelchar1
    move #4, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
    if (time) <eq> #119 then
    move #5 , reelchar1
    move #4, reelchar2
    move #4 ,reelchar3
    sub #50,purse
    endi
       if (time) <eq> #120 then
    move #5 , reelchar1
    move #4, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi

      if (time) <eq> #121 then
    move #5 , reelchar1
    move #5, reelchar2
    move #1 ,reelchar3
    sub #50,purse
    endi
     if (time) <eq> #122 then
    move #5 , reelchar1
    move #5, reelchar2
    move #2 ,reelchar3
    sub #50,purse
    endi

      if (time) <eq> #123 then
    move #5 , reelchar1
    move #5, reelchar2
    move #3 ,reelchar3
    sub #100,purse
    endi
     if (time) <eq> #124 then
    move #5 , reelchar1
    move #5, reelchar2
    move #4 ,reelchar3
    sub #100,purse
    endi
    
     if (time) <eq> #125 then
    move #5 , reelchar1
    move #5, reelchar2
    move #5 ,reelchar3
    sub #50,purse
    endi
    
      move.b  #11,D0
    move.w  #$FF00,D1
    trap    #15         clear screen   
    
    jsr background
 
            

     
    jmp handle


gameover  
  
  
    move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


   
      lea  msgblank,A1
    move #13,d0
    trap  #15
 


      lea  msg4,A1
    move #13,d0
    trap  #15
 
  move.b  #94,d0      repaint
    trap    #15

      move.b	#23,d0			delay to reduce cpu workload, changes game speed
    	 move.l	#300,d1			delay 1 sec
    	 trap	#15				execute delay
     
    jmp start
  

   
handle
   if (purse) <lt> #100 then 
   jmp gameover
   endi
    Move.w #19,D0                                        
	clr.l d1
	move.l #$20<<8,D1                   
	trap #15
    
    btst.l #8,D1
      if <NE> THEN
       lea pull,A1
        move #70,d0
        trap #15
        add.w #1, plays
         jmp loop
         
          
        

        endi
         
      bra handle


background
    

    move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


    lea  msg1,A1
    move #13,d0
    trap  #15
    
     move #21,d0
       move.l #$00FFFFFF,d1
       clr.l d2
       trap #15

     move.w (purse),d5
     clr.l d1
    move.w d5,d1
   move #3,d0
   trap #15 
   
   lea  msgblank,A1
    move #13,d0
    trap  #15
    
    lea noplay,A1
    move #13,d0
    trap #15
    
      move.w (plays),d5
     clr.l d1
    move.w d5,d1
   move #3,d0
   trap #15 
   
   
     lea  msgblank,A1
    move #13,d0
    trap  #15
    
    lea nopos,A1
    move #13,d0
    trap #15
    
      move.w (posouts),d5
     clr.l d1
    move.w d5,d1
   move #3,d0
   trap #15 

   
  lea  msgblank,A1
    move #13,d0
    trap  #15
    

    

   
   lea  msg2,A1
    move #13,d0
    trap  #15


    move.l  #red,D1    set pen color
    move.b  #80,D0
    trap    #15
    move.l	#white,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   move #87,d0
   move.w (reel1L),d1
   move.w (reel1R),d3
   move.w (reel1T),d2
   move.w (reel1B),d4
   trap #15
   move #87,d0
   move.w (reel2L),d1
   move.w (reel2R),d3
   move.w (reel2T),d2
   move.w (reel2B),d4
   trap #15
   move #87,d0
   move.w (reel3L),d1
   move.w (reel3R),d3
   move.w (reel3T),d2
   move.w (reel3B),d4
   trap #15
   
   if (reelchar1) <eq> #2 then
   
    move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel1banana1L),d1
   move.w (reel1banana1R),d3
   move.w (reel1banana1T),d2
   move.w (reel1banana1B),d4
   trap #15
    
       move.l  #yellow,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel1banana2L),d1
   move.w (reel1banana2R),d3
   move.w (reel1banana2T),d2
   move.w (reel1banana2B),d4
   trap #15
   
    move #87,d0
   move.w (reel1banana3L),d1
   move.w (reel1banana3R),d3
   move.w (reel1banana3T),d2
   move.w (reel1banana3B),d4
   trap #15 
      move #87,d0
   move.w (reel1banana4L),d1
   move.w (reel1banana4R),d3
   move.w (reel1banana4T),d2
   move.w (reel1banana4B),d4
   trap #15

     move #87,d0
   move.w (reel1banana5L),d1
   move.w (reel1banana5R),d3
   move.w (reel1banana5T),d2
   move.w (reel1banana5B),d4
   trap #15
      move #87,d0
   move.w (reel1banana6L),d1
   move.w (reel1banana6R),d3
   move.w (reel1banana6T),d2
   move.w (reel1banana6B),d4
   trap #15
     move #87,d0
   move.w (reel1banana7L),d1
   move.w (reel1banana7R),d3
   move.w (reel1banana7T),d2
   move.w (reel1banana7B),d4
   trap #15
   
       move.l  #green,D1    set pen color
    move.b  #80,D0
    trap    #15
 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   

    move #87,d0
   move.w (reel1banana8L),d1
   move.w (reel1banana8R),d3
   move.w (reel1banana8T),d2
   move.w (reel1banana8B),d4
   trap #15

   move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   endi 
   
   if (reelchar1) <eq> #3 then
   
    move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel1banana1L),d1
   move.w (reel1banana1R),d3
   move.w (reel1banana1T),d2
   move.w (reel1banana1B),d4
   trap #15
    
       move.l  #yellow,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel1banana2L),d1
   move.w (reel1banana2R),d3
   move.w (reel1banana2T),d2
   move.w (reel1banana2B),d4
   trap #15
   
    move #87,d0
   move.w (reel1banana3L),d1
   move.w (reel1banana3R),d3
   move.w (reel1banana3T),d2
   move.w (reel1banana3B),d4
   trap #15 
      move #87,d0
   move.w (reel1banana4L),d1
   move.w (reel1banana4R),d3
   move.w (reel1banana4T),d2
   move.w (reel1banana4B),d4
   trap #15

     move #87,d0
   move.w (reel1banana5L),d1
   move.w (reel1banana5R),d3
   move.w (reel1banana5T),d2
   move.w (reel1banana5B),d4
   trap #15
      move #87,d0
   move.w (reel1banana6L),d1
   move.w (reel1banana6R),d3
   move.w (reel1banana6T),d2
   move.w (reel1banana6B),d4
   trap #15
     move #87,d0
   move.w (reel1banana7L),d1
   move.w (reel1banana7R),d3
   move.w (reel1banana7T),d2
   move.w (reel1banana7B),d4
   trap #15
   
       move.l  #green,D1    set pen color
    move.b  #80,D0
    trap    #15
 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   

    move #87,d0
   move.w (reel1banana8L),d1
   move.w (reel1banana8R),d3
   move.w (reel1banana8T),d2
   move.w (reel1banana8B),d4
   trap #15
   
    endi 
   
      if (reelchar2) <eq> #4 then

   move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

  
   


    move #87,d0
   move.w (reel2banana1L),d1
   move.w (reel2banana1R),d3
   move.w (reel2banana1T),d2
   move.w (reel2banana1B),d4
   trap #15
    
       move.l  #yellow,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel2banana2L),d1
   move.w (reel2banana2R),d3
   move.w (reel2banana2T),d2
   move.w (reel2banana2B),d4
   trap #15
   
    move #87,d0
   move.w (reel2banana3L),d1
   move.w (reel2banana3R),d3
   move.w (reel2banana3T),d2
   move.w (reel2banana3B),d4
   trap #15 
      move #87,d0
   move.w (reel2banana4L),d1
   move.w (reel2banana4R),d3
   move.w (reel2banana4T),d2
   move.w (reel2banana4B),d4
    trap #15

     move #87,d0
   move.w (reel2banana5L),d1
   move.w (reel2banana5R),d3
   move.w (reel2banana5T),d2
   move.w (reel2banana5B),d4
   trap #15
      move #87,d0
   move.w (reel2banana6L),d1
   move.w (reel2banana6R),d3
   move.w (reel2banana6T),d2
   move.w (reel2banana6B),d4
   trap #15
     move #87,d0
   move.w (reel2banana7L),d1
   move.w (reel2banana7R),d3
   move.w (reel2banana7T),d2
   move.w (reel2banana7B),d4
   trap #15
   
       move.l  #green,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   

    move #87,d0
   move.w (reel2banana8L),d1
   move.w (reel2banana8R),d3
   move.w (reel2banana8T),d2
   move.w (reel2banana8B),d4
  trap #15

   endi
   
   if (reelchar3) <eq> #4  then
    move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel3banana1L),d1
   move.w (reel3banana1R),d3
   move.w (reel3banana1T),d2
   move.w (reel3banana1B),d4
   trap #15
    
       move.l  #yellow,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   
    move #87,d0
   move.w (reel3banana2L),d1
   move.w (reel3banana2R),d3
   move.w (reel3banana2T),d2
   move.w (reel3banana2B),d4
   trap #15
   
    move #87,d0
   move.w (reel3banana3L),d1
   move.w (reel3banana3R),d3
   move.w (reel3banana3T),d2
   move.w (reel3banana3B),d4
   trap #15 
      move #87,d0
   move.w (reel3banana4L),d1
   move.w (reel3banana4R),d3
   move.w (reel3banana4T),d2
   move.w (reel3banana4B),d4
   trap #15

     move #87,d0
   move.w (reel3banana5L),d1
   move.w (reel3banana5R),d3
   move.w (reel3banana5T),d2
   move.w (reel3banana5B),d4
   trap #15
      move #87,d0
   move.w (reel3banana6L),d1
   move.w (reel3banana6R),d3
   move.w (reel3banana6T),d2
   move.w (reel3banana6B),d4
   trap #15
     move #87,d0
   move.w (reel3banana7L),d1
   move.w (reel3banana7R),d3
   move.w (reel3banana7T),d2
   move.w (reel3banana7B),d4
   trap #15
   
       move.l  #green,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   

    move #87,d0
   move.w (reel3banana8L),d1
   move.w (reel3banana8R),d3
   move.w (reel3banana8T),d2
   move.w (reel3banana8B),d4
   trap #15
   
   endi
   
  
      move.l  #red,D1    set pen color
    move.b  #80,D0
       trap #15

 
    move.l	#red,d1		fill color
	move.b	#81,d0
			trap #15	set fill color

   
   if (reelchar1) <eq> #1 then
    move #88,d0
   move.w (reel1cherry1L),d1
   move.w (reel1cherry1R),d3
   move.w (reel1cherry1T),d2
   move.w (reel1cherry1B),d4
   trap #15
   
     move #88,d0
   move.w (reel1cherry2L),d1
   move.w (reel1cherry2R),d3
   move.w (reel1cherry2T),d2
   move.w (reel1cherry2B),d4
   trap #15
   endi 
   if (reelchar2) <eq> #2 then
    move #88,d0
   move.w (reel2cherry1L),d1
   move.w (reel2cherry1R),d3
   move.w (reel2cherry1T),d2
   move.w (reel2cherry1B),d4
   trap #15
   
     move #88,d0
   move.w (reel2cherry2L),d1
   move.w (reel2cherry2R),d3
   move.w (reel2cherry2T),d2
   move.w (reel2cherry2B),d4
   trap #15
   
   endi
   
   if (reelchar3) <eq> #3 then
    move #88,d0
   move.w (reel3cherry1L),d1
   move.w (reel3cherry1R),d3
   move.w (reel3cherry1T),d2
   move.w (reel3cherry1B),d4
   trap #15
   
     move #88,d0
   move.w (reel3cherry2L),d1
   move.w (reel3cherry2R),d3
   move.w (reel3cherry2T),d2
   move.w (reel3cherry2B),d4
   trap #15

   endi

    
      
     move.l  #green,D1    set pen color
    move.b  #80,D0
       trap #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
			trap #15	set fill color

  if (reelchar1) <eq> #1 then
    move #84,d0
   move.w (reel1cherry2stx1),d1
   move.w (reel1cherry2stx2),d3
   move.w (reel1cherry2sty1),d2
   move.w (reel1cherry2sty2),d4
   trap #15
   
   
    move #84,d0
   move.w (reel1cherry1stx1),d1
   move.w (reel1cherry1stx2),d3
   move.w (reel1cherry1sty1),d2
   move.w (reel1cherry1sty2),d4
   trap #15
  endi 
    if (reelchar2) <eq> #2  then
   move #84,d0
   move.w (reel2cherry2stx1),d1
   move.w (reel2cherry2stx2),d3
   move.w (reel2cherry2sty1),d2
   move.w (reel2cherry2sty2),d4
   trap #15
   
   
    move #84,d0
   move.w (reel2cherry1stx1),d1
   move.w (reel2cherry1stx2),d3
   move.w (reel2cherry1sty1),d2
   move.w (reel2cherry1sty2),d4
   trap #15
   move #84,d0
   move.w (reel2cherry2stx1),d1
   move.w (reel2cherry2stx2),d3
   move.w (reel2cherry2sty1),d2
   move.w (reel2cherry2sty2),d4
   trap #15
   endi 
   
    if (reelchar3) <eq> #3  then
    move #84,d0
   move.w (reel3cherry1stx1),d1
   move.w (reel3cherry1stx2),d3
   move.w (reel3cherry1sty1),d2
   move.w (reel3cherry1sty2),d4
   trap #15

      move #84,d0
   move.w (reel3cherry2stx1),d1
   move.w (reel3cherry2stx2),d3
   move.w (reel3cherry2sty1),d2
   move.w (reel3cherry2sty2),d4
   trap #15
   endi
  
   if (reelchar3) <eq> #1 then
 move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color




    move #87,d0
   move.w (reel3cat1L),d1
   move.w (reel3cat1R),d3
   move.w (reel3cat1T),d2
   move.w (reel3cat1B),d4
   trap #15
   
    move #87,d0
   move.w (reel3cat2L),d1
   move.w (reel3cat2R),d3
   move.w (reel3cat2T),d2
   move.w (reel3cat2B),d4
   trap #15
   
   move #87,d0
   move.w (reel3cat3L),d1
   move.w (reel3cat3R),d3
   move.w (reel3cat3T),d2
   move.w (reel3cat3B),d4
   trap #15

  move #87,d0
   move.w (reel3cat4L),d1
   move.w (reel3cat4R),d3
   move.w (reel3cat4T),d2
   move.w (reel3cat4B),d4
   trap #15
   
   
 
   move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
	
	move #87,d0
   move.w (reel3cat5L),d1
   move.w (reel3cat5R),d3
   move.w (reel3cat5T),d2
   move.w (reel3cat5B),d4
   trap #15

  move #87,d0
   move.w (reel3cat6L),d1
   move.w (reel3cat6R),d3
   move.w (reel3cat6T),d2
   move.w (reel3cat6B),d4
   trap #15
    move #87,d0
   move.w (reel3cat7L),d1
   move.w (reel3cat7R),d3
   move.w (reel3cat7T),d2
   move.w (reel3cat7B),d4
   trap #15
    move #87,d0
   move.w (reel3cat8L),d1
   move.w (reel3cat8R),d3
   move.w (reel3cat8T),d2
   move.w (reel3cat8B),d4
   trap #15



  move #88,d0
   move.w (reel3catfL),d1
   move.w (reel3catfR),d3
   move.w (reel3catfT),d2
   move.w (reel3catfB),d4
   trap #15
    move #88,d0
   move.w (reel3catear1L),d1
   move.w (reel3catear1R),d3
   move.w (reel3catear1T),d2
   move.w (reel3catear1B),d4
   trap #15

     move #88,d0
   move.w (reel3catear2L),d1
   move.w (reel3catear2R),d3
   move.w (reel3catear2T),d2
   move.w (reel3catear2B),d4
   trap #15

   
    move.l  #red,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#red,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel3catnL),d1
   move.w (reel3catnR),d3
   move.w (reel3catnT),d2
   move.w (reel3catnB),d4
   trap #15

     move.l	#blue,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#blue,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel3cateye1L),d1
   move.w (reel3cateye1R),d3
   move.w (reel3cateye1T),d2
   move.w (reel3cateye1B),d4
   trap #15

     move #88,d0
   move.w (reel3cateye2L),d1
   move.w (reel3cateye2R),d3
   move.w (reel3cateye2T),d2
   move.w (reel3cateye2B),d4
   trap #15
   
    

    move.l	#black,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

    move #84,d0
   move.w (reel3catw1x1),d1
   move.w (reel3catw1x2),d3
   move.w (reel3catw1y1),d2
   move.w (reel3catw1y2),d4
   trap #15
   
    move #84,d0
   move.w (reel3catw2x1),d1
   move.w (reel3catw2x2),d3
   move.w (reel3catw2y1),d2
   move.w (reel3catw2y2),d4
   trap #15

    move #84,d0
   move.w (reel3catw3x1),d1
   move.w (reel3catw3x2),d3
   move.w (reel3catw3y1),d2
   move.w (reel3catw3y2),d4
   trap #15
   
    move #84,d0
   move.w (reel3catw4x1),d1
   move.w (reel3catw4x2),d3
   move.w (reel3catw4y1),d2
   move.w (reel3catw4y2),d4
   trap #15
  endi 
  
   if (reelchar2) <eq> #3 then

   move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color




    move #87,d0
   move.w (reel2cat1L),d1
   move.w (reel2cat1R),d3
   move.w (reel2cat1T),d2
   move.w (reel2cat1B),d4
   trap #15
   
    move #87,d0
   move.w (reel2cat2L),d1
   move.w (reel2cat2R),d3
   move.w (reel2cat2T),d2
   move.w (reel2cat2B),d4
   trap #15
   
   move #87,d0
   move.w (reel2cat3L),d1
   move.w (reel2cat3R),d3
   move.w (reel2cat3T),d2
   move.w (reel2cat3B),d4
   trap #15

  move #87,d0
   move.w (reel2cat4L),d1
   move.w (reel2cat4R),d3
   move.w (reel2cat4T),d2
   move.w (reel2cat4B),d4
   trap #15
   
   
 
   move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
	
	move #87,d0
   move.w (reel2cat5L),d1
   move.w (reel2cat5R),d3
   move.w (reel2cat5T),d2
   move.w (reel2cat5B),d4
   trap #15

  move #87,d0
   move.w (reel2cat6L),d1
   move.w (reel2cat6R),d3
   move.w (reel2cat6T),d2
   move.w (reel2cat6B),d4
   trap #15
    move #87,d0
   move.w (reel2cat7L),d1
   move.w (reel2cat7R),d3
   move.w (reel2cat7T),d2
   move.w (reel2cat7B),d4
   trap #15
    move #87,d0
   move.w (reel2cat8L),d1
   move.w (reel2cat8R),d3
   move.w (reel2cat8T),d2
   move.w (reel2cat8B),d4
   trap #15



  move #88,d0
   move.w (reel2catfL),d1
   move.w (reel2catfR),d3
   move.w (reel2catfT),d2
   move.w (reel2catfB),d4
   trap #15
    move #88,d0
   move.w (reel2catear1L),d1
   move.w (reel2catear1R),d3
   move.w (reel2catear1T),d2
   move.w (reel2catear1B),d4
   trap #15

     move #88,d0
   move.w (reel2catear2L),d1
   move.w (reel2catear2R),d3
   move.w (reel2catear2T),d2
   move.w (reel2catear2B),d4
   trap #15

   
    move.l  #red,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#red,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel2catnL),d1
   move.w (reel2catnR),d3
   move.w (reel2catnT),d2
   move.w (reel2catnB),d4
   trap #15

     move.l	#blue,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#blue,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel2cateye1L),d1
   move.w (reel2cateye1R),d3
   move.w (reel2cateye1T),d2
   move.w (reel2cateye1B),d4
   trap #15

     move #88,d0
   move.w (reel2cateye2L),d1
   move.w (reel2cateye2R),d3
   move.w (reel2cateye2T),d2
   move.w (reel2cateye2B),d4
   trap #15
   
    

    move.l	#black,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

    move #84,d0
   move.w (reel2catw1x1),d1
   move.w (reel2catw1x2),d3
   move.w (reel2catw1y1),d2
   move.w (reel2catw1y2),d4
   trap #15
   
    move #84,d0
   move.w (reel2catw2x1),d1
   move.w (reel2catw2x2),d3
   move.w (reel2catw2y1),d2
   move.w (reel2catw2y2),d4
   trap #15

    move #84,d0
   move.w (reel2catw3x1),d1
   move.w (reel2catw3x2),d3
   move.w (reel2catw3y1),d2
   move.w (reel2catw3y2),d4
   trap #15
   
    move #84,d0
   move.w (reel2catw4x1),d1
   move.w (reel2catw4x2),d3
   move.w (reel2catw4y1),d2
   move.w (reel2catw4y2),d4
   trap #15
   endi
   
   if (reelchar2) <eq> #5 then

   move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color




    move #87,d0
   move.w (reel2cat1L),d1
   move.w (reel2cat1R),d3
   move.w (reel2cat1T),d2
   move.w (reel2cat1B),d4
   trap #15
   
    move #87,d0
   move.w (reel2cat2L),d1
   move.w (reel2cat2R),d3
   move.w (reel2cat2T),d2
   move.w (reel2cat2B),d4
   trap #15
   
   move #87,d0
   move.w (reel2cat3L),d1
   move.w (reel2cat3R),d3
   move.w (reel2cat3T),d2
   move.w (reel2cat3B),d4
   trap #15

  move #87,d0
   move.w (reel2cat4L),d1
   move.w (reel2cat4R),d3
   move.w (reel2cat4T),d2
   move.w (reel2cat4B),d4
   trap #15
   
   
 
   move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
	
	move #87,d0
   move.w (reel2cat5L),d1
   move.w (reel2cat5R),d3
   move.w (reel2cat5T),d2
   move.w (reel2cat5B),d4
   trap #15

  move #87,d0
   move.w (reel2cat6L),d1
   move.w (reel2cat6R),d3
   move.w (reel2cat6T),d2
   move.w (reel2cat6B),d4
   trap #15
    move #87,d0
   move.w (reel2cat7L),d1
   move.w (reel2cat7R),d3
   move.w (reel2cat7T),d2
   move.w (reel2cat7B),d4
   trap #15
    move #87,d0
   move.w (reel2cat8L),d1
   move.w (reel2cat8R),d3
   move.w (reel2cat8T),d2
   move.w (reel2cat8B),d4
   trap #15



  move #88,d0
   move.w (reel2catfL),d1
   move.w (reel2catfR),d3
   move.w (reel2catfT),d2
   move.w (reel2catfB),d4
   trap #15
    move #88,d0
   move.w (reel2catear1L),d1
   move.w (reel2catear1R),d3
   move.w (reel2catear1T),d2
   move.w (reel2catear1B),d4
   trap #15

     move #88,d0
   move.w (reel2catear2L),d1
   move.w (reel2catear2R),d3
   move.w (reel2catear2T),d2
   move.w (reel2catear2B),d4
   trap #15

   
    move.l  #red,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#red,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel2catnL),d1
   move.w (reel2catnR),d3
   move.w (reel2catnT),d2
   move.w (reel2catnB),d4
   trap #15

     move.l	#blue,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#blue,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel2cateye1L),d1
   move.w (reel2cateye1R),d3
   move.w (reel2cateye1T),d2
   move.w (reel2cateye1B),d4
   trap #15

     move #88,d0
   move.w (reel2cateye2L),d1
   move.w (reel2cateye2R),d3
   move.w (reel2cateye2T),d2
   move.w (reel2cateye2B),d4
   trap #15
   
    

    move.l	#black,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

    move #84,d0
   move.w (reel2catw1x1),d1
   move.w (reel2catw1x2),d3
   move.w (reel2catw1y1),d2
   move.w (reel2catw1y2),d4
   trap #15
   
    move #84,d0
   move.w (reel2catw2x1),d1
   move.w (reel2catw2x2),d3
   move.w (reel2catw2y1),d2
   move.w (reel2catw2y2),d4
   trap #15

    move #84,d0
   move.w (reel2catw3x1),d1
   move.w (reel2catw3x2),d3
   move.w (reel2catw3y1),d2
   move.w (reel2catw3y2),d4
   trap #15
   
    move #84,d0
   move.w (reel2catw4x1),d1
   move.w (reel2catw4x2),d3
   move.w (reel2catw4y1),d2
   move.w (reel2catw4y2),d4
   trap #15
   endi
   

    if (reelchar1) <eq> #4 then
   move.l  #black,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color




    move #87,d0
   move.w (reel1cat1L),d1
   move.w (reel1cat1R),d3
   move.w (reel1cat1T),d2
   move.w (reel1cat1B),d4
   trap #15
   
    move #87,d0
   move.w (reel1cat2L),d1
   move.w (reel1cat2R),d3
   move.w (reel1cat2T),d2
   move.w (reel1cat2B),d4
   trap #15
   
   move #87,d0
   move.w (reel1cat3L),d1
   move.w (reel1cat3R),d3
   move.w (reel1cat3T),d2
   move.w (reel1cat3B),d4
   trap #15

  move #87,d0
   move.w (reel1cat4L),d1
   move.w (reel1cat4R),d3
   move.w (reel1cat4T),d2
   move.w (reel1cat4B),d4
   trap #15
   
   
 
   move.l  #brown,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#brown,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
	
	move #87,d0
   move.w (reel1cat5L),d1
   move.w (reel1cat5R),d3
   move.w (reel1cat5T),d2
   move.w (reel1cat5B),d4
   trap #15

  move #87,d0
   move.w (reel1cat6L),d1
   move.w (reel1cat6R),d3
   move.w (reel1cat6T),d2
   move.w (reel1cat6B),d4
   trap #15
    move #87,d0
   move.w (reel1cat7L),d1
   move.w (reel1cat7R),d3
   move.w (reel1cat7T),d2
   move.w (reel1cat7B),d4
   trap #15
    move #87,d0
   move.w (reel1cat8L),d1
   move.w (reel1cat8R),d3
   move.w (reel1cat8T),d2
   move.w (reel1cat8B),d4
   trap #15
   
  move #88,d0
   move.w (reel1catfL),d1
   move.w (reel1catfR),d3
   move.w (reel1catfT),d2
   move.w (reel1catfB),d4
   trap #15
    move #88,d0
   move.w (reel1catear1L),d1
   move.w (reel1catear1R),d3
   move.w (reel1catear1T),d2
   move.w (reel1catear1B),d4
   trap #15

     move #88,d0
   move.w (reel1catear2L),d1
   move.w (reel1catear2R),d3
   move.w (reel1catear2T),d2
   move.w (reel1catear2B),d4
   trap #15

   
    move.l  #red,D1    set pen color
    move.b  #80,D0
    trap    #15

 
    move.l	#red,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel1catnL),d1
   move.w (reel1catnR),d3
   move.w (reel1catnT),d2
   move.w (reel1catnB),d4
   trap #15

     move.l	#blue,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#blue,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 
  move #88,d0
   move.w (reel1cateye1L),d1
   move.w (reel1cateye1R),d3
   move.w (reel1cateye1T),d2
   move.w (reel1cateye1B),d4
   trap #15

     move #88,d0
   move.w (reel1cateye2L),d1
   move.w (reel1cateye2R),d3
   move.w (reel1cateye2T),d2
   move.w (reel1cateye2B),d4
   trap #15
   
    

    move.l	#black,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#black,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

    move #84,d0
   move.w (reel1catw1x1),d1
   move.w (reel1catw1x2),d3
   move.w (reel1catw1y1),d2
   move.w (reel1catw1y2),d4
   trap #15
   
    move #84,d0
   move.w (reel1catw2x1),d1
   move.w (reel1catw2x2),d3
   move.w (reel1catw2y1),d2
   move.w (reel1catw2y2),d4
   trap #15

    move #84,d0
   move.w (reel1catw3x1),d1
   move.w (reel1catw3x2),d3
   move.w (reel1catw3y1),d2
   move.w (reel1catw3y2),d4
   trap #15
   
   
   
    move #84,d0
   move.w (reel1catw4x1),d1
   move.w (reel1catw4x2),d3
   move.w (reel1catw4y1),d2
   move.w (reel1catw4y2),d4
   trap #15
   
   endi
    
   move.l	#yellow,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color
 

    if (reelchar1) <eq> #5 then
   move #88,d0
   move.w (reel1lemonL),d1
   move.w (reel1lemonR),d3
   move.w (reel1lemonT),d2
   move.w (reel1lemonB),d4
   trap #15
   move.l	#green,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color

   move #88,d0
   move.w (reel1lemons1L),d1
   move.w (reel1lemons1R),d3
   move.w (reel1lemons1T),d2
    move.w (reel1lemons1B),d4
    trap #15
    
     move #88,d0
   move.w (reel1lemons2L),d1
   move.w (reel1lemons2R),d3
   move.w (reel1lemons2T),d2
    move.w (reel1lemons2B),d4
    trap #15


   endi
    if (reelchar2) <eq> #1 then
     
     move.l	#yellow,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color



   
   move #88,d0
   move.w (reel2lemonL),d1
   move.w (reel2lemonR),d3
   move.w (reel2lemonT),d2
   move.w (reel2lemonB),d4
   trap #15
    move.l	#green,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


       move #88,d0
   move.w (reel2lemons2L),d1
   move.w (reel2lemons2R),d3
   move.w (reel2lemons2T),d2
    move.w (reel2lemons2B),d4
    trap #15
     move #88,d0
   move.w (reel2lemons1L),d1
   move.w (reel2lemons1R),d3
   move.w (reel2lemons1T),d2
    move.w (reel2lemons1B),d4
    trap #15


   
   endi
   if (reelchar3) <eq> #2 then
   
   move.l	#yellow,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color



   
   move #88,d0
   move.w (reel3lemonL),d1
   move.w (reel3lemonR),d3
   move.w (reel3lemonT),d2
   move.w (reel3lemonB),d4
   trap #15
    move.l	#green,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


   
    move #88,d0
   move.w (reel3lemons2L),d1
   move.w (reel3lemons2R),d3
   move.w (reel3lemons2T),d2
    move.w (reel3lemons2B),d4
    trap #15
    
     move #88,d0
   move.w (reel3lemons1L),d1
   move.w (reel3lemons1R),d3
   move.w (reel3lemons1T),d2
    move.w (reel3lemons1B),d4
    trap #15


  endi
   if (reelchar3) <eq> #5 then
    move.l	#yellow,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#yellow,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


   move #88,d0
   move.w (reel3lemonL),d1
   move.w (reel3lemonR),d3
   move.w (reel3lemonT),d2
   move.w (reel3lemonB),d4
   trap #15
   
    move.l	#green,d1	
     move.b  #80,D0
    trap    #15

 
    move.l	#green,d1		fill color
	move.b	#81,d0
	trap	#15			set fill color


   move #88,d0
   move.w (reel3lemons2L),d1
   move.w (reel3lemons2R),d3
   move.w (reel3lemons2T),d2
    move.w (reel3lemons2B),d4
    trap #15
    
     move #88,d0
   move.w (reel3lemons1L),d1
   move.w (reel3lemons1R),d3
   move.w (reel3lemons1T),d2
    move.w (reel3lemons1B),d4
    trap #15

  endi
  move.b  #94,d0      repaint
    trap    #15


 rts

 
  
WHITE  EQU  $00FFFFFF
BLACK	EQU	$00000000
MAROON	EQU	$00000080
GREEN	EQU	$00008000
OLIVE	EQU	$00008080
NAVY	EQU	$00800000
PURPLE	EQU	$00800080
TEAL	EQU	$00808000
GRAY	EQU	$00808080
RED		EQU	$000000FF
LIME	EQU	$0000FF00
YELLOW	EQU	$0000FFFF
BLUE	EQU	$00FF0000
FUCHIA	EQU	$00FF00FF
AQUA	EQU	$00FFFF00
LTGRAY	EQU	$00C0C0C0
BROWN   EQU $00006080

reel1L dc.w 70
reel1T dc.w 140
reel1R dc.w 340
reel1B dc.w 420
reel2L dc.w 400
reel2T dc.w 140
reel2R dc.w 670
reel2B dc.w 420
reel3L dc.w 730
reel3T dc.w 140
reel3R dc.w 1000
reel3B dc.w 420
reel1banana1L dc.w 100
reel1banana1R dc.w 130
reel1banana1T dc.w 300
reel1banana1B dc.w 320
reel1banana2L dc.w 130
reel1banana2R dc.w 220
reel1banana2T dc.w 300
reel1banana2B dc.w 320
reel1banana3L dc.w 160
reel1banana3R dc.w 250
reel1banana3T dc.w 280
reel1banana3B dc.w 300
reel1banana4L dc.w 190
reel1banana4R dc.w 280
reel1banana4T dc.w 260
reel1banana4B dc.w 280
reel1banana5L dc.w 220
reel1banana5R dc.w 310
reel1banana5T dc.w 240
reel1banana5B dc.w 260
reel1banana6L dc.w 250
reel1banana6R dc.w 310
reel1banana6T dc.w 220
reel1banana6B dc.w 240
reel1banana7L dc.w 280
reel1banana7R dc.w 310
reel1banana7T dc.w 200
reel1banana7B dc.w 220
reel1banana8L dc.w 280
reel1banana8R dc.w 310
reel1banana8T dc.w 180
reel1banana8B dc.w 200
reel2banana1L dc.w 430
reel2banana1R dc.w 460
reel2banana1T dc.w 300
reel2banana1B dc.w 320
reel2banana2L dc.w 460
reel2banana2R dc.w 550
reel2banana2T dc.w 300
reel2banana2B dc.w 320
reel2banana3L dc.w 490
reel2banana3R dc.w 580
reel2banana3T dc.w 280
reel2banana3B dc.w 300
reel2banana4L dc.w 520
reel2banana4R dc.w 610
reel2banana4T dc.w 260
reel2banana4B dc.w 280
reel2banana5L dc.w 550
reel2banana5R dc.w 640
reel2banana5T dc.w 240
reel2banana5B dc.w 260
reel2banana6L dc.w 580
reel2banana6R dc.w 640
reel2banana6T dc.w 220
reel2banana6B dc.w 240
reel2banana7L dc.w 610
reel2banana7R dc.w 640
reel2banana7T dc.w 200
reel2banana7B dc.w 220
reel2banana8L dc.w 610
reel2banana8R dc.w 640
reel2banana8T dc.w 180
reel2banana8B dc.w 200
reel3banana1L dc.w 760
reel3banana1R dc.w 790
reel3banana1T dc.w 300
reel3banana1B dc.w 320
reel3banana2L dc.w 790
reel3banana2R dc.w 880
reel3banana2T dc.w 300
reel3banana2B dc.w 320
reel3banana3L dc.w 820
reel3banana3R dc.w 910
reel3banana3T dc.w 280
reel3banana3B dc.w 300
reel3banana4L dc.w 850
reel3banana4R dc.w 940
reel3banana4T dc.w 260
reel3banana4B dc.w 280
reel3banana5L dc.w 880
reel3banana5R dc.w 970
reel3banana5T dc.w 240
reel3banana5B dc.w 260
reel3banana6L dc.w 910
reel3banana6R dc.w 970
reel3banana6T dc.w 220
reel3banana6B dc.w 240
reel3banana7L dc.w 940
reel3banana7R dc.w 970
reel3banana7T dc.w 200
reel3banana7B dc.w 220
reel3banana8L dc.w 940
reel3banana8R dc.w 970
reel3banana8T dc.w 180
reel3banana8B dc.w 200
reel2cherry1L dc.w 460
reel2cherry1R dc.w 550
reel2cherry1T dc.w 220
reel2cherry1B dc.w 280
reel2cherry2L dc.w 530
reel2cherry2R dc.w 620
reel2cherry2T dc.w 275
reel2cherry2B dc.w 335
reel2cherry2stx1 dc.w 575
reel2cherry2stx2 dc.w 575
reel2cherry2sty1 dc.w 275
reel2cherry2sty2 dc.w 180
reel2cherry1stx1 dc.w 535
reel2cherry1stx2 dc.w 575
reel2cherry1sty1 dc.w 230
reel2cherry1sty2 dc.w 180

reel1cherry1L dc.w 130
reel1cherry1R dc.w 220
reel1cherry1T dc.w 220
reel1cherry1B dc.w 280
reel1cherry2L dc.w 200
reel1cherry2R dc.w 290
reel1cherry2T dc.w 275
reel1cherry2B dc.w 335
reel1cherry2stx1 dc.w 245
reel1cherry2stx2 dc.w 245
reel1cherry2sty1 dc.w 275
reel1cherry2sty2 dc.w 180
reel1cherry1stx1 dc.w 205
reel1cherry1stx2 dc.w 245
reel1cherry1sty1 dc.w 230
reel1cherry1sty2 dc.w 180

reel3cherry1L dc.w 790
reel3cherry1R dc.w 880
reel3cherry1T dc.w 220
reel3cherry1B dc.w 280
reel3cherry2L dc.w 860
reel3cherry2R dc.w 950
reel3cherry2T dc.w 275
reel3cherry2B dc.w 335
reel3cherry2stx1 dc.w 905
reel3cherry2stx2 dc.w 905
reel3cherry2sty1 dc.w 275
reel3cherry2sty2 dc.w 180
reel3cherry1stx1 dc.w 865
reel3cherry1stx2 dc.w 905
reel3cherry1sty1 dc.w 230
reel3cherry1sty2 dc.w 180

reel3cat1L dc.w 735
reel3cat1R dc.w 790
reel3cat1T dc.w 200
reel3cat1B dc.w 220
reel3cat2L dc.w 760
reel3cat2R dc.w 790
reel3cat2T dc.w 220
reel3cat2B dc.w 340
reel3cat3L dc.w 790
reel3cat3R dc.w 940
reel3cat3T dc.w 260
reel3cat3B dc.w 300
reel3cat4L dc.w 880
reel3cat4R dc.w 910
reel3cat4T dc.w 300
reel3cat4B dc.w 340
reel3cat5L dc.w 790         ;brown
reel3cat5R dc.w 820
reel3cat5T dc.w 300
reel3cat5B dc.w 340
reel3cat6L dc.w 820        ;brown
reel3cat6R dc.w 850
reel3cat6T dc.w 320
reel3cat6B dc.w 340
reel3cat7L dc.w 910        ;brown
reel3cat7R dc.w 970
reel3cat7T dc.w 300
reel3cat7B dc.w 320
reel3cat8L dc.w 940        ;brown
reel3cat8R dc.w 970
reel3cat8T dc.w 320
reel3cat8B dc.w 340

reel3catfL dc.w 880        
reel3catfR dc.w 970
reel3catfT dc.w 200
reel3catfB dc.w 260
reel3catnL dc.w 920        ;pink
reel3catnR dc.w 930
reel3catnT dc.w 225
reel3catnB dc.w 235
reel3cateye1L dc.w 905        ;blue
reel3cateye1R dc.w 915
reel3cateye1T dc.w 210
reel3cateye1B dc.w 220
reel3cateye2L dc.w 935        ;blue
reel3cateye2R dc.w 945
reel3cateye2T dc.w 210
reel3cateye2B dc.w 220
reel3catear2L dc.w 870        ;brown
reel3catear2R dc.w 900
reel3catear2T dc.w 190
reel3catear2B dc.w 210
reel3catear1L dc.w 950        ;brown
reel3catear1R dc.w 980
reel3catear1T dc.w 190
reel3catear1B dc.w 210
reel3catw1x1 dc.w 860        ;black
reel3catw1x2 dc.w 910
reel3catw1y1 dc.w 225
reel3catw1y2 dc.w 230
reel3catw2x1 dc.w 940        ;black
reel3catw2x2 dc.w 990
reel3catw2y1 dc.w 230
reel3catw2y2 dc.w 225
reel3catw3x1 dc.w 860        ;black
reel3catw3x2 dc.w 910
reel3catw3y1 dc.w 240
reel3catw3y2 dc.w 235
reel3catw4x1 dc.w 940        ;black
reel3catw4x2 dc.w 990
reel3catw4y1 dc.w 235
reel3catw4y2 dc.w 240
reel2cat1L dc.w 405
reel2cat1R dc.w 460
reel2cat1T dc.w 200
reel2cat1B dc.w 220
reel2cat2L dc.w 430
reel2cat2R dc.w 460
reel2cat2T dc.w 220
reel2cat2B dc.w 340
reel2cat3L dc.w 460
reel2cat3R dc.w 610
reel2cat3T dc.w 260
reel2cat3B dc.w 300
reel2cat4L dc.w 550
reel2cat4R dc.w 580
reel2cat4T dc.w 300
reel2cat4B dc.w 340
reel2cat5L dc.w 460         ;brown
reel2cat5R dc.w 490
reel2cat5T dc.w 300
reel2cat5B dc.w 340
reel2cat6L dc.w 490        ;brown
reel2cat6R dc.w 520
reel2cat6T dc.w 320
reel2cat6B dc.w 340
reel2cat7L dc.w 580        ;brown
reel2cat7R dc.w 640
reel2cat7T dc.w 300
reel2cat7B dc.w 320
reel2cat8L dc.w 610        ;brown
reel2cat8R dc.w 640
reel2cat8T dc.w 320
reel2cat8B dc.w 340

reel2catfL dc.w 550        
reel2catfR dc.w 640
reel2catfT dc.w 200
reel2catfB dc.w 260
reel2catnL dc.w 590        ;pink
reel2catnR dc.w 600
reel2catnT dc.w 225
reel2catnB dc.w 235
reel2cateye1L dc.w 575        ;blue
reel2cateye1R dc.w 585
reel2cateye1T dc.w 210
reel2cateye1B dc.w 220
reel2cateye2L dc.w 605        ;blue
reel2cateye2R dc.w 615
reel2cateye2T dc.w 210
reel2cateye2B dc.w 220
reel2catear2L dc.w 540        ;brown
reel2catear2R dc.w 570
reel2catear2T dc.w 190
reel2catear2B dc.w 210
reel2catear1L dc.w 620        ;brown
reel2catear1R dc.w 650
reel2catear1T dc.w 190
reel2catear1B dc.w 210
reel2catw1x1 dc.w 530        ;black
reel2catw1x2 dc.w 580
reel2catw1y1 dc.w 225
reel2catw1y2 dc.w 230
reel2catw2x1 dc.w 610        ;black
reel2catw2x2 dc.w 660
reel2catw2y1 dc.w 230
reel2catw2y2 dc.w 225
reel2catw3x1 dc.w 530       ;black
reel2catw3x2 dc.w 580
reel2catw3y1 dc.w 240
reel2catw3y2 dc.w 235
reel2catw4x1 dc.w 610        ;black
reel2catw4x2 dc.w 660
reel2catw4y1 dc.w 235
reel2catw4y2 dc.w 240
reel1cat1L dc.w 75
reel1cat1R dc.w 130
reel1cat1T dc.w 200
reel1cat1B dc.w 220
reel1cat2L dc.w 100
reel1cat2R dc.w 130
reel1cat2T dc.w 220
reel1cat2B dc.w 340
reel1cat3L dc.w 130
reel1cat3R dc.w 280
reel1cat3T dc.w 260
reel1cat3B dc.w 300
reel1cat4L dc.w 220
reel1cat4R dc.w 250
reel1cat4T dc.w 300
reel1cat4B dc.w 340
reel1cat5L dc.w 130         ;brown
reel1cat5R dc.w 160
reel1cat5T dc.w 300
reel1cat5B dc.w 340
reel1cat6L dc.w 160        ;brown
reel1cat6R dc.w 190
reel1cat6T dc.w 320
reel1cat6B dc.w 340
reel1cat7L dc.w 250        ;brown
reel1cat7R dc.w 310
reel1cat7T dc.w 300
reel1cat7B dc.w 320
reel1cat8L dc.w 280        ;brown
reel1cat8R dc.w 310
reel1cat8T dc.w 320
reel1cat8B dc.w 340
reel1catfL dc.w 220        
reel1catfR dc.w 310
reel1catfT dc.w 200
reel1catfB dc.w 260
reel1catnL dc.w 260        ;pink
reel1catnR dc.w 270
reel1catnT dc.w 225
reel1catnB dc.w 235
reel1cateye1L dc.w 245        ;blue
reel1cateye1R dc.w 255
reel1cateye1T dc.w 210
reel1cateye1B dc.w 220
reel1cateye2L dc.w 275        ;blue
reel1cateye2R dc.w 285
reel1cateye2T dc.w 210
reel1cateye2B dc.w 220
reel1catear2L dc.w 210        ;brown
reel1catear2R dc.w 240
reel1catear2T dc.w 190
reel1catear2B dc.w 210
reel1catear1L dc.w 290        ;brown
reel1catear1R dc.w 320
reel1catear1T dc.w 190
reel1catear1B dc.w 210
reel1catw1x1 dc.w 200        ;black
reel1catw1x2 dc.w 250
reel1catw1y1 dc.w 225
reel1catw1y2 dc.w 230
reel1catw2x1 dc.w 280        ;black
reel1catw2x2 dc.w 330
reel1catw2y1 dc.w 230
reel1catw2y2 dc.w 225
reel1catw3x1 dc.w 200       ;black
reel1catw3x2 dc.w 250
reel1catw3y1 dc.w 240
reel1catw3y2 dc.w 235
reel1catw4x1 dc.w 280        ;black
reel1catw4x2 dc.w 330
reel1catw4y1 dc.w 235
reel1catw4y2 dc.w 240

reel1lemonL dc.w  100
reel1lemonR dc.w  310
reel1lemonT dc.w  180
reel1lemonB dc.w   320
reel1lemons1L dc.w  130
reel1lemons1R dc.w  205
reel1lemons1T dc.w  170
reel1lemons1B dc.w  200
reel1lemons2L dc.w  205
reel1lemons2R dc.w  280
reel1lemons2T dc.w  170
reel1lemons2B dc.w   200

reel2lemonL dc.w  430
reel2lemonR dc.w  640
reel2lemonT dc.w 180
reel2lemonB dc.w 320

reel2lemons1L dc.w  460
reel2lemons1R dc.w  535
reel2lemons1T dc.w  170
reel2lemons1B dc.w   200
reel2lemons2L dc.w  535
reel2lemons2R dc.w  610
reel2lemons2T dc.w  170
reel2lemons2B dc.w   200


reel3lemonL dc.w 760
reel3lemonR dc.w 970
reel3lemonT dc.w  180
reel3lemonB dc.w  320

reel3lemons1L dc.w  790
reel3lemons1R dc.w  865
reel3lemons1T dc.w  170
reel3lemons1B dc.w   200
reel3lemons2L dc.w  865
reel3lemons2R dc.w  940
reel3lemons2T dc.w  170
reel3lemons2B dc.w   200


purse ds.w 1
msg1 dc.b 'Purse'  ,$0,$d,0
msgblank dc.b '' , $0,$d,0

msg2 dc.b '                                                   Press Space Bar to Pull Handle'  ,$0,$d,0
msg5 dc.b '                                                        7 dollar Jackpot !!!!' ,$0,$d,0
msg6 dc.b '                                                       30 dollar Jackpot !!!!' ,$0,$d,0
msg3 dc.b 'Handle Pulled' , $0,$d,0
noplay dc.b 'Number of Plays', $0,$d,0
nopos dc.b 'Number of Net Positive Payouts', $0,$d,0
msg4 dc.b '                                                         YOU ARE BUSTED!!!!! ',  $0,$d,0
reelchar1 ds.w 1
reelchar2 ds.w 1
reelchar3 ds.w 1
plays ds.w 1
reel1 ds.w 1
reel2 ds.w 1
reel3 ds.w 1
time ds.w 1
jackpot:  dc.b 'jackpot.wav',0
pull: dc.b 'cash_register2.wav',0
posouts ds.w 1



    END    START        ; last line of source







*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~4~
